Subject: RE: BIND response codes

From: "Clemm, Geoff" <[email-masked]>
Date: Wed, 16 Oct 2002 00:14:04 -0400

I vote for 403 FORBIDDEN with a new DAV:error code.

Cheers,
Geoff 

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]]

> From:  Jason Crawford
>
>
> On Tuesday, 10/15/2002 at 07:49 ZE2, "Julian Reschke"  wrote:
> > For the same reason a Unix file system by default behaves this way.
> >
> > Hard links to collections are dangerous (loops) and in most cases
> required
> > (symlinks aka redirect refs to collections in most cases are all that's
> > required).
>
> For example, garbage collecting a file system in the presence of
> loops can be relatively expensive.
>
> I really don't want a new status code, but if we can't find an
> appropriate
>
> existing one, I'm tentatively supportive of Julian's proposal to add one.

I think it's clear that there *will* be implementations that do not allow
additional bindings on collections (for instance those that are
Unix-filesystem based).

We don't need a new status code, I was just trying to figure out whether to
return 405 (not allowed) or 403 (forbidden) with a well-defined
pre-condition (DAV:collection-binds-supported?).